import { defineConfig } from "astro/config";
import tailwind from "@astrojs/tailwind";
import remarkCallout from "@r4ai/remark-callout";
import sitemap from "@astrojs/sitemap";

export default defineConfig({
  site: "https://blog.z0x.ca",
  integrations: [
    tailwind({
      nesting: true,
    }),
    sitemap(),
  ],
  markdown: {
    shikiConfig: {
      theme: "css-variables",
    },
    remarkPlugins: [
      remarkCallout,
    ],
  }
});